package com.caimei.modules.club.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 商城运营人员Entity
 *
 * @author lijun
 * @version 2019-11-22
 */
public class CmOperationUser implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer id;
    private String userOrganizeID;        // 用户组织ID,具体对应cm_mall_organize表ID
    private String userID;        // 用户ID：隶属于哪个用户的运营人员
    private String clubID;        // 会所ID：隶属于哪个会所的运营人员
    private String account;        // 运营人账号名【产品预留字段暂时不启用】
    private String mobile;        // 手机号码
    private String linkName;        // 联系人
    private String invitationCode;        // 邀请码
    private String status;        // 1未绑定，2已绑定
    private String nickName;        // 微信昵称
    private String openid;        // 小程序openid
    private Date invitationCodeTime;        // 邀请码生成时间（此时间起48小时有效）
    private Date bindTime;        // 绑定时间
    private Date updateTime;        // 更新时间
    private Date addTime;        // 添加时间
    private Date beginAddTime;        // 开始 添加时间
    private Date endAddTime;        // 结束 添加时间
    private String effectiveFlag;//邀请码是否有效 1有效，2已使用，3已失效
    private String configFlag;//确认标志
    private String delFlag; //0 有效 其它无效

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserOrganizeID() {
        return userOrganizeID;
    }

    public void setUserOrganizeID(String userOrganizeID) {
        this.userOrganizeID = userOrganizeID;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getClubID() {
        return clubID;
    }

    public void setClubID(String clubID) {
        this.clubID = clubID;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getLinkName() {
        return linkName;
    }

    public void setLinkName(String linkName) {
        this.linkName = linkName;
    }

    public String getInvitationCode() {
        return invitationCode;
    }

    public void setInvitationCode(String invitationCode) {
        this.invitationCode = invitationCode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getInvitationCodeTime() {
        return invitationCodeTime;
    }

    public void setInvitationCodeTime(Date invitationCodeTime) {
        this.invitationCodeTime = invitationCodeTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getBindTime() {
        return bindTime;
    }

    public void setBindTime(Date bindTime) {
        this.bindTime = bindTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public Date getBeginAddTime() {
        return beginAddTime;
    }

    public void setBeginAddTime(Date beginAddTime) {
        this.beginAddTime = beginAddTime;
    }

    public Date getEndAddTime() {
        return endAddTime;
    }

    public void setEndAddTime(Date endAddTime) {
        this.endAddTime = endAddTime;
    }

    public String getEffectiveFlag() {
        return effectiveFlag;
    }

    public void setEffectiveFlag(String effectiveFlag) {
        this.effectiveFlag = effectiveFlag;
    }

    public String getConfigFlag() {
        return configFlag;
    }

    public void setConfigFlag(String configFlag) {
        this.configFlag = configFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
}