package com.caimei.modules.club.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.beans.Transient;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户模块重构--会所管理Entity
 *
 * @author zcp
 * @version 2018-05-21
 */
public class NewCmClub implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer id;
    private Integer clubID;        // 会所ID
    private Integer userID;        // 用户ID
    private Integer userOrganizeID;//用户组织ID
    private Integer clubTypeID;        // 【已废弃】会所类型
    private String name;        // 会所名称
    private String sname;        // 简称
    private String nameEn;        // 会所英文名称
    private String site;        // 网址
    private String logo;        // logo
    private Double level;        // 【已废弃】未知
    private Double score;        // 【已废弃】未知
    private Integer subClubCount;        // 【已废弃】子会所数量
    private String legalPerson;        // 法人
    private Integer provinceID;        // 省
    private Integer cityID;        // 市
    private Integer townID;        // 地址ID
    private String agreement;        // 是否同意协议
    private String flag;        // 拉会所上线的用户的cmBindId,以逗号结尾
    private Integer inviterBindID;        // 邀请者cmBindId
    private String inviterName;        // 邀请者名称
    private Integer spID;        // 协销Id
    private Integer mainServiceProviderID;        // 协销经理Id
    private Date scanTime;        // 扫描时间
    private Date checkTime;        // 上线时间
    private String address;        // 详细地址
    private Double registeredCapital;        // 注册资金
    private Integer mainClubID;        // 集团会所ID
    private Double turnover;        // 营业额
    private String linkMan;        // 联系人
    private String contractPhone;        // 联系电话
    private String contractMobile;        // 联系手机
    private String fax;        // 传真
    private String zipCode;        // 邮编
    private String linkMan1;        // 联系人
    private String duty1;        // 职务
    private String contractPhone1;        // 联系电话1
    private String contractMobile1;        // 手机号1
    private String contractQQ1;        // 联系QQ
    private String wechat1;        // 微信号
    private String contractEmail1;        // 联系邮箱
    private String linkMan2;        // 联系人
    private String duty2;        // 职务
    private String contractPhone2;        // 联系电话
    private String contractMobile2;        // 联系手机
    private String contractQQ2;        // 联系QQ
    private String wechat2;        // 微信号
    private String contractEmail2;        // 联系邮箱
    private String scope;        // 经营范围
    private String info;        // 公司简介
    private Double lng;        // 纬度
    private Double lat;        // 经度
    private String addTime;        // 注册时间
    private Integer favoriteTimes;        // 收藏量
    private String payFlag1;        // 支付
    private String auditTime;        // 审核时间
    private String auditNote;        // 审核备注
    private Integer status;        // 状态
    private String clubInvitationStatus;        // 集团会所邀请状态
    private String recAddress;        // 收货地址
    private String businessLicenseImage;        // 营业执照
    private Integer sortIndex;        // 排序值
    private Integer recTownID;        // 收货地址县级ID
    private Integer defaultServiceProviderID;        // 默认的创客
    private String defaultServiceProviderUpdTime;        // 创客更新时间
    private String firstServiceProviderFlag;        // 第一次服务标志
    private String scale;        // 规模
    private Integer empnum;        // 员工数
    private String mainpro;        // 主打项目
    private String remark;        // 备注
    private String scanFlag;        // 扫描状态 0待扫描 1 已扫描 2已上线
    private String headpic;        // 门头照
    private Date lastModify;        // 最后更新时间
    private Integer firstClubType; // 一级分类为医美=1和生美=2
    private String secondClubType; // 医美的二级分类为诊所=1、门诊=2、医院=3。  生美没有二级分类
    private String department; // 若为医美分类下的门诊和医院则需要填写科室。
    private String medicalPracticeLicenseImg; // 医美分类必须上传医疗执业许可证
    private String socialCreditCode;//统一社会编码

    /**
     * 非持久化字段
     */
    private String spName; //创客名称
    private String account;//企业会所用户账号
    private String mobile;
    private String fromUserName;
    private Integer userLevelID;
    private Date registerTime;
    private String smsFlag;        // 短信是否发送成功
    private String userScanFlag;        // 扫描标志(4 CRM拉上来的会所)
    private String town; // 区
    private String city; // 市
    private String province; //省
    private String startTime;     //注册时间开始 查询条件
    private String endTime;        //注册时间结束  查询条件

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @NotNull(message = "会所ID不能为空")
    public Integer getClubID() {
        return clubID;
    }

    public void setClubID(Integer clubID) {
        this.clubID = clubID;
    }

    public Integer getUserID() {
        return userID;
    }

    public void setUserID(Integer userID) {
        this.userID = userID;
    }

    @NotNull(message = "【已废弃】会所类型不能为空")
    public Integer getClubTypeID() {
        return clubTypeID;
    }

    public void setClubTypeID(Integer clubTypeID) {
        this.clubTypeID = clubTypeID;
    }

    @Length(min = 0, max = 50, message = "会所名称长度必须介于 0 和 50 之间")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Length(min = 0, max = 20, message = "简称长度必须介于 0 和 20 之间")
    public String getSname() {
        return sname;
    }

    public void setSname(String sname) {
        this.sname = sname;
    }

    @Length(min = 0, max = 100, message = "会所英文名称长度必须介于 0 和 100 之间")
    public String getNameEn() {
        return nameEn;
    }

    public void setNameEn(String nameEn) {
        this.nameEn = nameEn;
    }

    @Length(min = 0, max = 200, message = "网址长度必须介于 0 和 200 之间")
    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    @Length(min = 0, max = 200, message = "logo长度必须介于 0 和 200 之间")
    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public Double getLevel() {
        return level;
    }

    public void setLevel(Double level) {
        this.level = level;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getSubClubCount() {
        return subClubCount;
    }

    public void setSubClubCount(Integer subClubCount) {
        this.subClubCount = subClubCount;
    }

    @Length(min = 0, max = 20, message = "法人长度必须介于 0 和 20 之间")
    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public Integer getProvinceID() {
        return provinceID;
    }

    public void setProvinceID(Integer provinceID) {
        this.provinceID = provinceID;
    }

    public Integer getCityID() {
        return cityID;
    }

    public void setCityID(Integer cityID) {
        this.cityID = cityID;
    }

    public Integer getTownID() {
        return townID;
    }

    public void setTownID(Integer townID) {
        this.townID = townID;
    }

    @Length(min = 0, max = 1, message = "是否同意协议长度必须介于 0 和 1 之间")
    public String getAgreement() {
        return agreement;
    }

    public void setAgreement(String agreement) {
        this.agreement = agreement;
    }

    @Length(min = 0, max = 100, message = "拉会所上线的用户的cmBindId,以逗号结尾长度必须介于 0 和 100 之间")
    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public Integer getInviterBindID() {
        return inviterBindID;
    }

    public void setInviterBindID(Integer inviterBindID) {
        this.inviterBindID = inviterBindID;
    }

    @Length(min = 0, max = 255, message = "邀请者名称长度必须介于 0 和 255 之间")
    public String getInviterName() {
        return inviterName;
    }

    public void setInviterName(String inviterName) {
        this.inviterName = inviterName;
    }

    public Integer getSpID() {
        return spID;
    }

    public void setSpID(Integer spID) {
        this.spID = spID;
    }

    public Integer getMainServiceProviderID() {
        return mainServiceProviderID;
    }

    public void setMainServiceProviderID(Integer mainServiceProviderID) {
        this.mainServiceProviderID = mainServiceProviderID;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getScanTime() {
        return scanTime;
    }

    public void setScanTime(Date scanTime) {
        this.scanTime = scanTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    @Length(min = 0, max = 100, message = "详细地址长度必须介于 0 和 100 之间")
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Double getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(Double registeredCapital) {
        this.registeredCapital = registeredCapital;
    }

    public Integer getMainClubID() {
        return mainClubID;
    }

    public void setMainClubID(Integer mainClubID) {
        this.mainClubID = mainClubID;
    }

    public Double getTurnover() {
        return turnover;
    }

    public void setTurnover(Double turnover) {
        this.turnover = turnover;
    }

    @Length(min = 0, max = 50, message = "联系人长度必须介于 0 和 50 之间")
    public String getLinkMan() {
        return linkMan;
    }

    public void setLinkMan(String linkMan) {
        this.linkMan = linkMan;
    }

    @Length(min = 0, max = 50, message = "联系电话长度必须介于 0 和 50 之间")
    public String getContractPhone() {
        return contractPhone;
    }

    public void setContractPhone(String contractPhone) {
        this.contractPhone = contractPhone;
    }

    @Length(min = 0, max = 20, message = "联系手机长度必须介于 0 和 20 之间")
    public String getContractMobile() {
        return contractMobile;
    }

    public void setContractMobile(String contractMobile) {
        this.contractMobile = contractMobile;
    }

    @Length(min = 0, max = 50, message = "传真长度必须介于 0 和 50 之间")
    public String getFax() {
        return fax;
    }

    public void setFax(String fax) {
        this.fax = fax;
    }

    @Length(min = 0, max = 10, message = "邮编长度必须介于 0 和 10 之间")
    public String getZipCode() {
        return zipCode;
    }

    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }

    @Length(min = 0, max = 50, message = "联系人长度必须介于 0 和 50 之间")
    public String getLinkMan1() {
        return linkMan1;
    }

    public void setLinkMan1(String linkMan1) {
        this.linkMan1 = linkMan1;
    }

    @Length(min = 0, max = 50, message = "职务长度必须介于 0 和 50 之间")
    public String getDuty1() {
        return duty1;
    }

    public void setDuty1(String duty1) {
        this.duty1 = duty1;
    }

    @Length(min = 0, max = 50, message = "联系电话1长度必须介于 0 和 50 之间")
    public String getContractPhone1() {
        return contractPhone1;
    }

    public void setContractPhone1(String contractPhone1) {
        this.contractPhone1 = contractPhone1;
    }

    @Length(min = 0, max = 20, message = "手机号1长度必须介于 0 和 20 之间")
    public String getContractMobile1() {
        return contractMobile1;
    }

    public void setContractMobile1(String contractMobile1) {
        this.contractMobile1 = contractMobile1;
    }

    @Length(min = 0, max = 20, message = "联系QQ长度必须介于 0 和 20 之间")
    public String getContractQQ1() {
        return contractQQ1;
    }

    public void setContractQQ1(String contractQQ1) {
        this.contractQQ1 = contractQQ1;
    }

    @Length(min = 0, max = 50, message = "微信号长度必须介于 0 和 50 之间")
    public String getWechat1() {
        return wechat1;
    }

    public void setWechat1(String wechat1) {
        this.wechat1 = wechat1;
    }

    @Length(min = 0, max = 50, message = "联系邮箱长度必须介于 0 和 50 之间")
    public String getContractEmail1() {
        return contractEmail1;
    }

    public void setContractEmail1(String contractEmail1) {
        this.contractEmail1 = contractEmail1;
    }

    @Length(min = 0, max = 50, message = "联系人长度必须介于 0 和 50 之间")
    public String getLinkMan2() {
        return linkMan2;
    }

    public void setLinkMan2(String linkMan2) {
        this.linkMan2 = linkMan2;
    }

    @Length(min = 0, max = 50, message = "职务长度必须介于 0 和 50 之间")
    public String getDuty2() {
        return duty2;
    }

    public void setDuty2(String duty2) {
        this.duty2 = duty2;
    }

    @Length(min = 0, max = 50, message = "联系电话长度必须介于 0 和 50 之间")
    public String getContractPhone2() {
        return contractPhone2;
    }

    public void setContractPhone2(String contractPhone2) {
        this.contractPhone2 = contractPhone2;
    }

    @Length(min = 0, max = 20, message = "联系手机长度必须介于 0 和 20 之间")
    public String getContractMobile2() {
        return contractMobile2;
    }

    public void setContractMobile2(String contractMobile2) {
        this.contractMobile2 = contractMobile2;
    }

    @Length(min = 0, max = 20, message = "联系QQ长度必须介于 0 和 20 之间")
    public String getContractQQ2() {
        return contractQQ2;
    }

    public void setContractQQ2(String contractQQ2) {
        this.contractQQ2 = contractQQ2;
    }

    @Length(min = 0, max = 50, message = "微信号长度必须介于 0 和 50 之间")
    public String getWechat2() {
        return wechat2;
    }

    public void setWechat2(String wechat2) {
        this.wechat2 = wechat2;
    }

    @Length(min = 0, max = 50, message = "联系邮箱长度必须介于 0 和 50 之间")
    public String getContractEmail2() {
        return contractEmail2;
    }

    public void setContractEmail2(String contractEmail2) {
        this.contractEmail2 = contractEmail2;
    }

    @Length(min = 0, max = 100, message = "经营范围长度必须介于 0 和 100 之间")
    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    @Length(min = 0, max = 500, message = "公司简介长度必须介于 0 和 500 之间")
    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public Double getLng() {
        return lng;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public String getAddTime() {
        return addTime;
    }

    public void setAddTime(String addTime) {
        this.addTime = addTime;
    }

    public Integer getFavoriteTimes() {
        return favoriteTimes;
    }

    public void setFavoriteTimes(Integer favoriteTimes) {
        this.favoriteTimes = favoriteTimes;
    }

    @Length(min = 0, max = 1, message = "支付长度必须介于 0 和 1 之间")
    public String getPayFlag1() {
        return payFlag1;
    }

    public void setPayFlag1(String payFlag1) {
        this.payFlag1 = payFlag1;
    }

    @Length(min = 0, max = 19, message = "审核时间长度必须介于 0 和 19 之间")
    public String getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    @Length(min = 0, max = 100, message = "审核备注长度必须介于 0 和 100 之间")
    public String getAuditNote() {
        return auditNote;
    }

    public void setAuditNote(String auditNote) {
        this.auditNote = auditNote;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Length(min = 0, max = 1, message = "集团会所邀请状态长度必须介于 0 和 1 之间")
    public String getClubInvitationStatus() {
        return clubInvitationStatus;
    }

    public void setClubInvitationStatus(String clubInvitationStatus) {
        this.clubInvitationStatus = clubInvitationStatus;
    }

    @Length(min = 0, max = 100, message = "收货地址长度必须介于 0 和 100 之间")
    public String getRecAddress() {
        return recAddress;
    }

    public void setRecAddress(String recAddress) {
        this.recAddress = recAddress;
    }

    @Length(min = 0, max = 200, message = "营业执照长度必须介于 0 和 200 之间")
    public String getBusinessLicenseImage() {
        return businessLicenseImage;
    }

    public void setBusinessLicenseImage(String businessLicenseImage) {
        this.businessLicenseImage = businessLicenseImage;
    }

    public Integer getSortIndex() {
        return sortIndex;
    }

    public void setSortIndex(Integer sortIndex) {
        this.sortIndex = sortIndex;
    }

    public Integer getRecTownID() {
        return recTownID;
    }

    public void setRecTownID(Integer recTownID) {
        this.recTownID = recTownID;
    }

    public Integer getDefaultServiceProviderID() {
        return defaultServiceProviderID;
    }

    public void setDefaultServiceProviderID(Integer defaultServiceProviderID) {
        this.defaultServiceProviderID = defaultServiceProviderID;
    }

    @Length(min = 0, max = 19, message = "创客更新时间长度必须介于 0 和 19 之间")
    public String getDefaultServiceProviderUpdTime() {
        return defaultServiceProviderUpdTime;
    }

    public void setDefaultServiceProviderUpdTime(String defaultServiceProviderUpdTime) {
        this.defaultServiceProviderUpdTime = defaultServiceProviderUpdTime;
    }

    @Length(min = 0, max = 1, message = "第一次服务标志长度必须介于 0 和 1 之间")
    public String getFirstServiceProviderFlag() {
        return firstServiceProviderFlag;
    }

    public void setFirstServiceProviderFlag(String firstServiceProviderFlag) {
        this.firstServiceProviderFlag = firstServiceProviderFlag;
    }

    @Length(min = 0, max = 20, message = "规模长度必须介于 0 和 20 之间")
    public String getScale() {
        return scale;
    }

    public void setScale(String scale) {
        this.scale = scale;
    }

    public Integer getEmpnum() {
        return empnum;
    }

    public void setEmpnum(Integer empnum) {
        this.empnum = empnum;
    }

    @Length(min = 0, max = 200, message = "主打项目长度必须介于 0 和 200 之间")
    public String getMainpro() {
        return mainpro;
    }

    public void setMainpro(String mainpro) {
        this.mainpro = mainpro;
    }

    @Length(min = 0, max = 500, message = "备注长度必须介于 0 和 500 之间")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Length(min = 1, max = 2, message = "扫描状态 0待扫描 1 已扫描 2已上线长度必须介于 1 和 2 之间")
    public String getScanFlag() {
        return scanFlag;
    }

    public void setScanFlag(String scanFlag) {
        this.scanFlag = scanFlag;
    }

    @Length(min = 0, max = 200, message = "门头照长度必须介于 0 和 200 之间")
    public String getHeadpic() {
        return headpic;
    }

    public void setHeadpic(String headpic) {
        this.headpic = headpic;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getLastModify() {
        return lastModify;
    }

    public void setLastModify(Date lastModify) {
        this.lastModify = lastModify;
    }

    public String getSpName() {
        return spName;
    }

    public void setSpName(String spName) {
        this.spName = spName;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getFromUserName() {
        return fromUserName;
    }

    public void setFromUserName(String fromUserName) {
        this.fromUserName = fromUserName;
    }

    public Integer getUserLevelID() {
        return userLevelID;
    }

    public void setUserLevelID(Integer userLevelID) {
        this.userLevelID = userLevelID;
    }

    public Date getRegisterTime() {
        return registerTime;
    }

    public void setRegisterTime(Date registerTime) {
        this.registerTime = registerTime;
    }

    public String getSmsFlag() {
        return smsFlag;
    }

    public void setSmsFlag(String smsFlag) {
        this.smsFlag = smsFlag;
    }

    public String getUserScanFlag() {
        return userScanFlag;
    }

    public void setUserScanFlag(String userScanFlag) {
        this.userScanFlag = userScanFlag;
    }

    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    @Transient
    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    @Transient
    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getFirstClubType() {
        return firstClubType;
    }

    public void setFirstClubType(Integer firstClubType) {
        this.firstClubType = firstClubType;
    }

    public String getSecondClubType() {
        return secondClubType;
    }

    public void setSecondClubType(String secondClubType) {
        this.secondClubType = secondClubType;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getMedicalPracticeLicenseImg() {
        return medicalPracticeLicenseImg;
    }

    public void setMedicalPracticeLicenseImg(String medicalPracticeLicenseImg) {
        this.medicalPracticeLicenseImg = medicalPracticeLicenseImg;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public Integer getUserOrganizeID() {
        return userOrganizeID;
    }

    public void setUserOrganizeID(Integer userOrganizeID) {
        this.userOrganizeID = userOrganizeID;
    }
}