package com.caimei.modules.club.service.impl;

import com.caimei.modules.club.dao.CmOperationUserDao;
import com.caimei.modules.club.entity.CmOperationUser;
import com.caimei.modules.club.service.CmOperationUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.thymeleaf.util.StringUtils;

import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.List;

@Service
public class CmOperationUserServiceImpl implements CmOperationUserService {
    @Autowired
    private CmOperationUserDao cmOperationUserDao;

    @Override
    public List<CmOperationUser> findList(CmOperationUser cmOperationUser) {
        List<CmOperationUser> operationUserList = cmOperationUserDao.findList(cmOperationUser);
        if (null != operationUserList) {
            for (CmOperationUser user : operationUserList) {//判断邀请码是否有效
                String status = user.getStatus();//1未绑定，2已绑定
                if (StringUtils.equals("2", status)) {
                    user.setEffectiveFlag("2");//邀请码是否有效 1有效，2已使用，3已失效
                } else {
                    Date invitationCodeTime = user.getInvitationCodeTime();
                    if (null != invitationCodeTime) {
                        Calendar calendar = new GregorianCalendar();
                        calendar.setTime(invitationCodeTime);
                        calendar.add(Calendar.DATE, 7);// num为增加的天数，可以改变的
                        invitationCodeTime = calendar.getTime();
                        boolean before = invitationCodeTime.before(new Date());
                        if (before) {//如果验证码时间加上168小时小于当前时间则已过期
                            user.setEffectiveFlag("3");
                        } else {
                            user.setEffectiveFlag("1");
                        }
                    }
                }
            }
        }
        return operationUserList;
    }

    @Override
    public List<CmOperationUser> findListBuyBindMobile(CmOperationUser cmOperationUser) {
        return cmOperationUserDao.findListBuyBindMobile(cmOperationUser);
    }

    @Override
    public List<CmOperationUser> getListByInvitationCode(CmOperationUser opUser) {
        return cmOperationUserDao.getListByInvitationCode(opUser);
    }

    @Override
    public void save(CmOperationUser cmOperationUser) {
        if (cmOperationUser.getId() == null) {
            cmOperationUserDao.insert(cmOperationUser);
        } else {
            cmOperationUserDao.update(cmOperationUser);
        }
    }

    @Override
    public void untiedOperationUser(CmOperationUser cmOperationUser) {
        cmOperationUserDao.untiedOperationUser(cmOperationUser);
    }
}
