package com.caimei.modules.order.entity;


import java.io.Serializable;

/**
 * 退货退款商品Entity
 * @author ye.qin
 * @version 2019-05-24
 */
public class CmReturnedPurchaseProduct implements Serializable {
	
	private static final long serialVersionUID = 1L;
	private Integer id;
	private Integer returnedID;		// 退货退款Id(退款退货表的ID)
	private Integer shopOrderID;		// 子订单Id
	private Integer productID;		// 商品Id
	private Integer orderProductID;		// 订单商品Id
	private Integer shopID;		// 供应商Id
	private Integer applicationReturnedNum;		// 申请退货数量
	private Integer applicationCancelNum;		// 申请取消数量
	private Integer actualReturnedNum;		// 实际退货数量
	private Integer actualCancelNum;		// 实际取消数量
	private String returnedReceiver;		// 退款接收方：1采美、2供应商、3采美及供应商

	private String status;	//退货状态	状态：1退货退款中、2已完成、3已取消

	private Integer num;
	private Integer presentNum;
	private Double price;
	private Double discount;
	private Double discountPrice;
	private Double taxRate;
	private Double addedValueTax;
	private String mainImage;
	private String name;
	private String shopName;
	private Double totalFee;
	private Double totalAddedValueTax;
	private String unit;
	private Boolean firstReturn;	//该订单商品是否是首次退货退款
	private Integer notOutStore;//商品未出库数量
	private Integer returnedPurchaseProductNum;//商品退货完成数量
	private Integer cancelProductNum;   //取消数量

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getReturnedID() {
		return returnedID;
	}

	public void setReturnedID(Integer returnedID) {
		this.returnedID = returnedID;
	}
	
	public Integer getProductID() {
		return productID;
	}

	public void setProductID(Integer productID) {
		this.productID = productID;
	}
	
	public Integer getOrderProductID() {
		return orderProductID;
	}

	public void setOrderProductID(Integer orderProductID) {
		this.orderProductID = orderProductID;
	}
	
	public Integer getShopID() {
		return shopID;
	}

	public void setShopID(Integer shopID) {
		this.shopID = shopID;
	}
	
	public Integer getApplicationReturnedNum() {
		return applicationReturnedNum;
	}

	public void setApplicationReturnedNum(Integer applicationReturnedNum) {
		this.applicationReturnedNum = applicationReturnedNum;
	}
	
	public Integer getApplicationCancelNum() {
		return applicationCancelNum;
	}

	public void setApplicationCancelNum(Integer applicationCancelNum) {
		this.applicationCancelNum = applicationCancelNum;
	}
	
	public Integer getActualReturnedNum() {
		return actualReturnedNum;
	}

	public void setActualReturnedNum(Integer actualReturnedNum) {
		this.actualReturnedNum = actualReturnedNum;
	}
	
	public Integer getActualCancelNum() {
		return actualCancelNum;
	}

	public void setActualCancelNum(Integer actualCancelNum) {
		this.actualCancelNum = actualCancelNum;
	}

	public Integer getShopOrderID() {
		return shopOrderID;
	}

	public void setShopOrderID(Integer shopOrderID) {
		this.shopOrderID = shopOrderID;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getReturnedReceiver() {
		return returnedReceiver;
	}

	public void setReturnedReceiver(String returnedReceiver) {
		this.returnedReceiver = returnedReceiver;
	}

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Double getPrice() {
		return price;
	}

	public void setPrice(Double price) {
		this.price = price;
	}

	public Double getDiscount() {
		return discount;
	}

	public void setDiscount(Double discount) {
		this.discount = discount;
	}

	public Double getDiscountPrice() {
		return discountPrice;
	}

	public void setDiscountPrice(Double discountPrice) {
		this.discountPrice = discountPrice;
	}

	public Double getTaxRate() {
		return taxRate;
	}

	public void setTaxRate(Double taxRate) {
		this.taxRate = taxRate;
	}

	public Double getAddedValueTax() {
		return addedValueTax;
	}

	public void setAddedValueTax(Double addedValueTax) {
		this.addedValueTax = addedValueTax;
	}

	public String getMainImage() {
		return mainImage;
	}

	public void setMainImage(String mainImage) {
		this.mainImage = mainImage;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getShopName() {
		return shopName;
	}

	public void setShopName(String shopName) {
		this.shopName = shopName;
	}

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public Double getTotalFee() {
		return totalFee;
	}

	public void setTotalFee(Double totalFee) {
		this.totalFee = totalFee;
	}

	public Double getTotalAddedValueTax() {
		return totalAddedValueTax;
	}

	public void setTotalAddedValueTax(Double totalAddedValueTax) {
		this.totalAddedValueTax = totalAddedValueTax;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public Integer getPresentNum() {
		return presentNum;
	}

	public void setPresentNum(Integer presentNum) {
		this.presentNum = presentNum;
	}

	public Boolean getFirstReturn() {
		return firstReturn;
	}

	public void setFirstReturn(Boolean firstReturn) {
		this.firstReturn = firstReturn;
	}

	public Integer getNotOutStore() {
		return notOutStore;
	}

	public void setNotOutStore(Integer notOutStore) {
		this.notOutStore = notOutStore;
	}

	public Integer getReturnedPurchaseProductNum() {
		return returnedPurchaseProductNum;
	}

	public void setReturnedPurchaseProductNum(Integer returnedPurchaseProductNum) {
		this.returnedPurchaseProductNum = returnedPurchaseProductNum;
	}

	public Integer getCancelProductNum() {
		return cancelProductNum;
	}

	public void setCancelProductNum(Integer cancelProductNum) {
		this.cancelProductNum = cancelProductNum;
	}
}