package com.caimei.modules.order.entity;

import java.io.Serializable;
import java.util.List;

/**
 * @author lwt
 * @date 2018-07-24
 * @description 主订单表
 */
public class NewOrder implements Serializable {
    private Integer orderID;             // bigint(11) not null,
    private String orderNo;             // varchar(30) comment '订单编号',
    private Integer userID;              // bigint(11), 订单归属人
    //采美组织: 默认为null,具体对应cm_mall_organize表ID
    private Integer organizeID;
    private String shopOrderIDs;        // varchar(100) comment '子订单ID',
    private String orderSubmitType;     // char(2) comment '订单提交类型',
    private String status;      // char(2) comment '订单状态'
    // v5.0.0新状态 '0待确认,11待收待发,12待收部发,13待收全发,21部收待发,22部收部发,23部收全发,31已收待发,32已收部发,33已收全发,4交易完成,5订单完成,6已关闭,7交易全退'
    private Double productTotalFee;   // decimal(20,6) comment '商品总金额',
    private Double shouldPayProduct;            //应收商品金额==应付合计（只需要付商品金额）
    private String hasActProduct; // '是否包含活动商品(受订单未支付自动关闭时间影响)  0 否 1 是',
    private Double orderTotalFee;    // decimal(20,6) comment '订单总金额',
    private Double payableAmount;       // 应付金额
    private Double payTotalFee;         // decimal(20,6) comment '支付金额',
    private Double balancePayFee;       // decimal(20,6) comment '余额支付',
    private Double discountFee;         // decimal(20,6) comment '折扣金额',
    private Integer spID;                // bigint(11),
    private Integer mainSpID;            // bigint(6),
    private String note;                // text comment '订单备注',
    private Integer clubID;              // bigint(11),
    private String clubScanTime;        // varchar(19),
    private String payWay;              // 支付方式,（协销订单可能会存在多种进账方式用,隔开）,
    private Integer payTypeID;           // int(11) comment '支付类型',
    private String orderSource;         // char(1) comment '订单来源',
    private String orderTime;           // datetime comment '订单提交时间',
    private String confirmTime;           // datetime comment '订单确认时间',
    private String cooFreeFlag;          // char(1) comment '库分期免息状态',
    private Integer cooFreeRate;         // int(3) comment '库分期分期费率',
    private Double cooFreeAmount;       // decimal(20,2) comment '库分期免息金额',
    private String confirmFlag;         // char(1) comment '订单确认标志',
    private Integer clauseID;            // bigint(11) comment '条款ID',
    private String clauseContent;       // text comment '条款内容',
    private String clauseName;          // varchar(50) comment '条款名称',
    private String freePostFlag;        // char(1) comment 免邮标志 运费：-1到付，0包邮，1需要运费
    private Double freight;             // decimal(20,0) comment '运费' v5.0版本已废弃,运费已使用商品形式存储,
    private Integer buyUserID;//            下单人
    private String orderType;//      char(2) comment '订单类型 协销订单0 普通订单1',
    private List<NewShopOrder> newShopOrders;
    private OrderUserInfo bpOrderUserinfo; //订单用户信息表
    private OrderInvoice orderInvoice;
    private Integer productCount;        // 商品总数
    private Integer presentCount;        // 赠送总数
    private String payTime; //订单支付时间
    private String payFlag;//是否已支付 未支付0 已支付1
    private String onlinePayFlag;//能否显示支付 ：0 能线上 1 线下
    private Double preferential; //总优惠 自助下单活动优惠 协销下单price-折后单价
    private String splitFlag; // 订单能否拆分 1 为可拆分, 0为不可拆分
    private String closeReason; //订单取消原因
    private String invoiceFlag;      //是否开发票 0 不开 1 开发票
    // ---------------- v5.0.0 新加
    private String receiptStatus; //（收款买家）收款状态：1待收款、2部分收款、3已收款
    private String payStatus; //(付款供应商)付款状态：1待付款、2部分付款、3已付款
    private String sendOutStatus; //发货状态：1待发货、2部分发货、3已发货
    private String refundType; //退货退款类型：1部分退、2全部退
    private String postageOrderFlag = "0"; //邮费订单标识 1是邮费订单  0不是邮费订单
    private Double paidAmount;//已付金额(用户已支付金额包括余额支付和线上线下支付)
    private Double totalDiscount;//订单退款已退的经理折扣金额
    // -----------------  v5.0.0 end

    //-------------        虚拟字段   ----------------------------
    private String shopName;            //供应商
    private String receiver;//收货人
    private String buyer;//买家
    private String alreadyReceipt;//已收金额(需要包含运费,目前只存在普通订单存在运费)
    private String unReceipt;//未收金额(需要包含运费,目前只存在普通订单存在运费)
    private String paid;//已付金额(不需要包含运费,等同于订单商品金额)
    private String unpaid;//未付金额(不需要包含运费,等同于订单商品金额)
    private String brokerage;//佣金
    private String buyerName; //买家名称
    private String mobile; //手机
    private String address; //地址
    private String startTime;
    private String endTime;
    private String startRefundTime;
    private String endRefundTime;
    private Double totalAddedValueTax;//总税费
    private String shopNameInfo;//
    private String orderRefundType = "";//
    private String returnedPurchaseStatus;//1审核中，0不是审核中
    private String applyReturnedPurchaseFlag;//0不可以申请，1可以申请（此标记只用于是否存在审核中或者审核不通过记录，存在记录则不可以申请）
    private String spName;
    private List<NewOrderProduct> orderProduct;// 订单内的商品集合
    private String searchflag;//0搜索，1导出
    private String[] shopNote;  //子订单备注   修改时用来记录一下的
    private String rebateOrder;  //是不是返佣订单 是的1,  不是的0
    private String[] ps;    //付款状态集合
    private String shopOrderNo;//       varchar(30) comment '子订单编号'
    private String toAudit;   //有没有收款待审核的订单 , 有的1

    public Integer getOrderID() {
        return orderID;
    }

    public void setOrderID(Integer orderID) {
        this.orderID = orderID;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getUserID() {
        return userID;
    }

    public void setUserID(Integer userID) {
        this.userID = userID;
    }

    public Integer getOrganizeID() {
        return organizeID;
    }

    public void setOrganizeID(Integer organizeID) {
        this.organizeID = organizeID;
    }

    public String getShopOrderIDs() {
        return shopOrderIDs;
    }

    public void setShopOrderIDs(String shopOrderIDs) {
        this.shopOrderIDs = shopOrderIDs;
    }

    public String getOrderSubmitType() {
        return orderSubmitType;
    }

    public void setOrderSubmitType(String orderSubmitType) {
        this.orderSubmitType = orderSubmitType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Double getProductTotalFee() {
        return productTotalFee;
    }

    public void setProductTotalFee(Double productTotalFee) {
        this.productTotalFee = productTotalFee;
    }

    public Double getShouldPayProduct() {
        return shouldPayProduct;
    }

    public void setShouldPayProduct(Double shouldPayProduct) {
        this.shouldPayProduct = shouldPayProduct;
    }

    public String getHasActProduct() {
        return hasActProduct;
    }

    public void setHasActProduct(String hasActProduct) {
        this.hasActProduct = hasActProduct;
    }

    public Double getOrderTotalFee() {
        return orderTotalFee;
    }

    public void setOrderTotalFee(Double orderTotalFee) {
        this.orderTotalFee = orderTotalFee;
    }

    public Double getPayableAmount() {
        return payableAmount;
    }

    public void setPayableAmount(Double payableAmount) {
        this.payableAmount = payableAmount;
    }

    public Double getPayTotalFee() {
        return payTotalFee;
    }

    public void setPayTotalFee(Double payTotalFee) {
        this.payTotalFee = payTotalFee;
    }

    public Double getBalancePayFee() {
        return balancePayFee;
    }

    public void setBalancePayFee(Double balancePayFee) {
        this.balancePayFee = balancePayFee;
    }

    public Double getDiscountFee() {
        return discountFee;
    }

    public void setDiscountFee(Double discountFee) {
        this.discountFee = discountFee;
    }

    public Integer getSpID() {
        return spID;
    }

    public void setSpID(Integer spID) {
        this.spID = spID;
    }

    public Integer getMainSpID() {
        return mainSpID;
    }

    public void setMainSpID(Integer mainSpID) {
        this.mainSpID = mainSpID;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Integer getClubID() {
        return clubID;
    }

    public void setClubID(Integer clubID) {
        this.clubID = clubID;
    }

    public String getClubScanTime() {
        return clubScanTime;
    }

    public void setClubScanTime(String clubScanTime) {
        this.clubScanTime = clubScanTime;
    }

    public String getPayWay() {
        return payWay;
    }

    public void setPayWay(String payWay) {
        this.payWay = payWay;
    }

    public Integer getPayTypeID() {
        return payTypeID;
    }

    public void setPayTypeID(Integer payTypeID) {
        this.payTypeID = payTypeID;
    }

    public String getOrderSource() {
        return orderSource;
    }

    public void setOrderSource(String orderSource) {
        this.orderSource = orderSource;
    }

    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    public String getConfirmTime() {
        return confirmTime;
    }

    public void setConfirmTime(String confirmTime) {
        this.confirmTime = confirmTime;
    }

    public String getCooFreeFlag() {
        return cooFreeFlag;
    }

    public void setCooFreeFlag(String cooFreeFlag) {
        this.cooFreeFlag = cooFreeFlag;
    }

    public Integer getCooFreeRate() {
        return cooFreeRate;
    }

    public void setCooFreeRate(Integer cooFreeRate) {
        this.cooFreeRate = cooFreeRate;
    }

    public Double getCooFreeAmount() {
        return cooFreeAmount;
    }

    public void setCooFreeAmount(Double cooFreeAmount) {
        this.cooFreeAmount = cooFreeAmount;
    }

    public String getConfirmFlag() {
        return confirmFlag;
    }

    public void setConfirmFlag(String confirmFlag) {
        this.confirmFlag = confirmFlag;
    }

    public Integer getClauseID() {
        return clauseID;
    }

    public void setClauseID(Integer clauseID) {
        this.clauseID = clauseID;
    }

    public String getClauseContent() {
        return clauseContent;
    }

    public void setClauseContent(String clauseContent) {
        this.clauseContent = clauseContent;
    }

    public String getClauseName() {
        return clauseName;
    }

    public void setClauseName(String clauseName) {
        this.clauseName = clauseName;
    }

    public String getFreePostFlag() {
        return freePostFlag;
    }

    public void setFreePostFlag(String freePostFlag) {
        this.freePostFlag = freePostFlag;
    }

    public Double getFreight() {
        return freight;
    }

    public void setFreight(Double freight) {
        this.freight = freight;
    }

    public Integer getBuyUserID() {
        return buyUserID;
    }

    public void setBuyUserID(Integer buyUserID) {
        this.buyUserID = buyUserID;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public List<NewShopOrder> getNewShopOrders() {
        return newShopOrders;
    }

    public void setNewShopOrders(List<NewShopOrder> newShopOrders) {
        this.newShopOrders = newShopOrders;
    }

    public OrderUserInfo getBpOrderUserinfo() {
        return bpOrderUserinfo;
    }

    public void setBpOrderUserinfo(OrderUserInfo bpOrderUserinfo) {
        this.bpOrderUserinfo = bpOrderUserinfo;
    }

    public OrderInvoice getOrderInvoice() {
        return orderInvoice;
    }

    public void setOrderInvoice(OrderInvoice orderInvoice) {
        this.orderInvoice = orderInvoice;
    }

    public Integer getProductCount() {
        return productCount;
    }

    public void setProductCount(Integer productCount) {
        this.productCount = productCount;
    }

    public Integer getPresentCount() {
        return presentCount;
    }

    public void setPresentCount(Integer presentCount) {
        this.presentCount = presentCount;
    }

    public String getPayTime() {
        return payTime;
    }

    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    public String getPayFlag() {
        return payFlag;
    }

    public void setPayFlag(String payFlag) {
        this.payFlag = payFlag;
    }

    public String getOnlinePayFlag() {
        return onlinePayFlag;
    }

    public void setOnlinePayFlag(String onlinePayFlag) {
        this.onlinePayFlag = onlinePayFlag;
    }

    public Double getPreferential() {
        return preferential;
    }

    public void setPreferential(Double preferential) {
        this.preferential = preferential;
    }

    public String getSplitFlag() {
        return splitFlag;
    }

    public void setSplitFlag(String splitFlag) {
        this.splitFlag = splitFlag;
    }

    public String getCloseReason() {
        return closeReason;
    }

    public void setCloseReason(String closeReason) {
        this.closeReason = closeReason;
    }

    public String getInvoiceFlag() {
        return invoiceFlag;
    }

    public void setInvoiceFlag(String invoiceFlag) {
        this.invoiceFlag = invoiceFlag;
    }

    public String getReceiptStatus() {
        return receiptStatus;
    }

    public void setReceiptStatus(String receiptStatus) {
        this.receiptStatus = receiptStatus;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public String getSendOutStatus() {
        return sendOutStatus;
    }

    public void setSendOutStatus(String sendOutStatus) {
        this.sendOutStatus = sendOutStatus;
    }

    public String getRefundType() {
        return refundType;
    }

    public void setRefundType(String refundType) {
        this.refundType = refundType;
    }

    public String getPostageOrderFlag() {
        return postageOrderFlag;
    }

    public void setPostageOrderFlag(String postageOrderFlag) {
        this.postageOrderFlag = postageOrderFlag;
    }

    public Double getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(Double paidAmount) {
        this.paidAmount = paidAmount;
    }

    public Double getTotalDiscount() {
        return totalDiscount;
    }

    public void setTotalDiscount(Double totalDiscount) {
        this.totalDiscount = totalDiscount;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public String getBuyer() {
        return buyer;
    }

    public void setBuyer(String buyer) {
        this.buyer = buyer;
    }

    public String getAlreadyReceipt() {
        return alreadyReceipt;
    }

    public void setAlreadyReceipt(String alreadyReceipt) {
        this.alreadyReceipt = alreadyReceipt;
    }

    public String getUnReceipt() {
        return unReceipt;
    }

    public void setUnReceipt(String unReceipt) {
        this.unReceipt = unReceipt;
    }

    public String getPaid() {
        return paid;
    }

    public void setPaid(String paid) {
        this.paid = paid;
    }

    public String getUnpaid() {
        return unpaid;
    }

    public void setUnpaid(String unpaid) {
        this.unpaid = unpaid;
    }

    public String getBrokerage() {
        return brokerage;
    }

    public void setBrokerage(String brokerage) {
        this.brokerage = brokerage;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getStartRefundTime() {
        return startRefundTime;
    }

    public void setStartRefundTime(String startRefundTime) {
        this.startRefundTime = startRefundTime;
    }

    public String getEndRefundTime() {
        return endRefundTime;
    }

    public void setEndRefundTime(String endRefundTime) {
        this.endRefundTime = endRefundTime;
    }

    public Double getTotalAddedValueTax() {
        return totalAddedValueTax;
    }

    public void setTotalAddedValueTax(Double totalAddedValueTax) {
        this.totalAddedValueTax = totalAddedValueTax;
    }

    public String getShopNameInfo() {
        return shopNameInfo;
    }

    public void setShopNameInfo(String shopNameInfo) {
        this.shopNameInfo = shopNameInfo;
    }

    public String getOrderRefundType() {
        return orderRefundType;
    }

    public void setOrderRefundType(String orderRefundType) {
        this.orderRefundType = orderRefundType;
    }

    public String getReturnedPurchaseStatus() {
        return returnedPurchaseStatus;
    }

    public void setReturnedPurchaseStatus(String returnedPurchaseStatus) {
        this.returnedPurchaseStatus = returnedPurchaseStatus;
    }

    public String getApplyReturnedPurchaseFlag() {
        return applyReturnedPurchaseFlag;
    }

    public void setApplyReturnedPurchaseFlag(String applyReturnedPurchaseFlag) {
        this.applyReturnedPurchaseFlag = applyReturnedPurchaseFlag;
    }

    public String getSpName() {
        return spName;
    }

    public void setSpName(String spName) {
        this.spName = spName;
    }

    public List<NewOrderProduct> getOrderProduct() {
        return orderProduct;
    }

    public void setOrderProduct(List<NewOrderProduct> orderProduct) {
        this.orderProduct = orderProduct;
    }

    public String getSearchflag() {
        return searchflag;
    }

    public void setSearchflag(String searchflag) {
        this.searchflag = searchflag;
    }

    public String[] getShopNote() {
        return shopNote;
    }

    public void setShopNote(String[] shopNote) {
        this.shopNote = shopNote;
    }

    public String getRebateOrder() {
        return rebateOrder;
    }

    public void setRebateOrder(String rebateOrder) {
        this.rebateOrder = rebateOrder;
    }

    public String[] getPs() {
        return ps;
    }

    public void setPs(String[] ps) {
        this.ps = ps;
    }

    public String getShopOrderNo() {
        return shopOrderNo;
    }

    public void setShopOrderNo(String shopOrderNo) {
        this.shopOrderNo = shopOrderNo;
    }

    public String getToAudit() {
        return toAudit;
    }

    public void setToAudit(String toAudit) {
        this.toAudit = toAudit;
    }
}

