package com.caimei.modules.order.entity;

import com.caimei.modules.club.entity.CmProductSn;
import com.caimei.utils.AppUtils;

import java.beans.Transient;
import java.util.List;

public class NewOrderProduct {
    private Integer orderProductID;//       int(11) not null auto_increment,
    private Integer shopOrderID;//       int(11) comment '子订单Id',
    private String shopOrderNo;//    varchar(50) comment '子订单编号',
    private Integer shopID;//      bigint(11) comment '供应商ID',
    private String ledgerNo;        // 供应商分账易宝商户编号
    private Integer productID;//      int(11) comment '商品Id',
    private Integer num;//     int(11) comment '数量',
    private Integer presentNum;//   int(11) comment '赠送数量',
    private String outStoreType;// char(1) comment '出库类型',
    private Integer skuID;//     int(11) comment 'skuId',
    private String props;//     national varchar(1000) comment 'sku属性',
    private String propName;//   national varchar(1000) comment '属性名',
    private String productNo;//    national varchar(50) comment '商品编号',
    private Double price;//     float comment '订单商品购买价格',
    private Double shopProductAmount;        // 商品费  =  成本价快照  *  (购买数量  + 赠品数量)
    private Double normalPrice;//     float comment '市场价 = 商品表市场价',
    private Double totalAmount;//     float comment '总价',
    private Double discount;//     decimal(20,6) comment '折扣',
    private Double discountPrice;//     decimal(20,6) comment '折后单价',
    private Double taxRate;//     decimal(20,0) comment '税率',
    private Double addedValueTax;//     decimal(20,6) comment '增值税',
    private Double totalAddedValueTax;//  decimal(20,6) comment '总增值税(应收税费)',
    private Double shouldPayTotalTax;//  decimal(20,6) comment '总增值税（应付税费）',
    private Double shopFee;//     decimal(20,6) comment '应付供应商金额',
    private Double otherFee;//       decimal(20,6) comment '应付第三方金额',
    private Double cmFee;//      decimal(20,6) comment '应付采美金额',
    private Double singleShopFee;//    decimal(20,6) comment '单个应付供应商金额',
    private Double singleOtherFee;//   decimal(20,6) comment '单个应付第三方金额',
    private Double singleCmFee;//   decimal(20,6) comment '单个应付采美金额',
    private Double shouldPayFee;//   decimal(20,6) comment '应付金额',
    private String commentFlag;//        national char(1) comment '是否已评论：1是，空或0未评论',
    private Double price0;//   float(10,2),
    private Double price1;//   float comment '普通会员价',
    private Double totalFee;//   float comment '总价',
    private Double totalBeans;//  decimal(10,2) comment '获取到的总采美豆值',
    private Double useBalanceAmount;//  double comment '使用余额金额',notOutStore
    private Integer useBeanAmount;//  int(11) comment '使用采美豆数量',
    private Integer notOutStore;//  int(11) comment '未出库数量',
    private Integer cmbeanPrice;// int(11) comment '当前采美豆专区价格(采美豆)',
    private String isGiftProduct;//  national varchar(255),
    private String productActInfo;//  national varchar(255),
    private String buyAgainFlag;//  national char(1) default '0' comment '订单商品再次购买标识 0否 1是',
    private String confirmProductFlag;// national char(1) default '0' comment '订单商品供应商确认标志 0否 1是',
    private NewShopOrder newShopOrder;
    private String shopFeeFlag; //应付供应商 = 应付表的应付供应商  0否 1 是
    private String orderNo;//        varchar(30) comment '主订单编号',
    private Integer orderID;//        bigint(30) comment '主订单ID',
    private String shopName; // 供应商名称
    private String name; // 商品名称
    private String aliasName;   //商品学名
    private String unit;//保证规格
    private String payStatus; //  0 未进账 1 待财务审核 2 已进账
    private Double preferential;//优惠 (price - discountPrice) * num
    private Double actPreferential;//活动优惠  类似满减优惠金额
    private String image; // 商品图片
    private Double discountFee; //协销订单:经理折扣(平摊到每个商品上,  按照每种商品的总价占订单总价的比例来均分);普通订单 无'
    private String productUnit;//`productUnit` varchar(64) DEFAULT NULL COMMENT '商品单位',
    private String productImage;//`productImage` varchar(100) DEFAULT NULL,
    private String shopFee1; // 单个应付供应商金额
    private String otherFee1; // 单个应付第三方金额
    private String cmFee1; // 单个应付采美金额
    // *****************  虚拟字段
    private Integer deliveryNum; // 发货数量
    private Integer outStoreTimes;  // 发货批次
    private Double costPrice; // 成本价(快照商品成本价格)
    private Integer stock; // 库存
    private Integer status; // 状态
    private String logisticsBatchID; // 发货批次ID
    //private List<NewCmFinanceCharge> newCmFinanceChargeList; //订单商品id对应的多个出账记录
    //private List<NewCmFinanceReceipts> newCmFinanceReceiptsList; //订单商品id对应一个进账记录  订单id对应多个
    private String splitFlag;//订单商品是否可拆分   1可拆分(不可以进账确认) 0不可拆分----统计子订单中的
    private String costCheckFlag; //成本价选中标志：1固定成本 2比例成
    private Double costProportional;//比例成本百分比
    private List<CmProductSn> cmProductSnList; //(重光电/轻光电)SN码

    private String consignee;        //收货人
    private String buyer;           //买家
    private Integer thisTimePostNum;   // 虚拟字段  发货时记录当前次数该商品发了几个

    private Integer returnedPurchaseProductNum;     //退货完成数量
    private Integer returningPurchaseProductNum;   //退货中数量
    private Integer cancelProductNum;   //取消数量
    private Integer receivedNum;    //已收数量
    private Integer returningNum;   //退货退款中数量
    private Integer returnedNum;   //已退数量
    private Boolean firstReturn;    //是否是第一次退货退款
    private Double newCostPrice; // 成本价
    private Double singleShouldPayTotalTax; //单个付供应商税费
    private Integer frequency;  //订单量
    private Integer totalNum;   //销售量

    public Integer getFrequency() {
        return frequency;
    }

    public void setFrequency(Integer frequency) {
        this.frequency = frequency;
    }

    public Integer getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Integer totalNum) {
        this.totalNum = totalNum;
    }

    public String getBuyer() {
        return buyer;
    }

    public void setBuyer(String buyer) {
        this.buyer = buyer;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }


    public Double getShouldPayTotalTax() {
        return shouldPayTotalTax;
    }

    public void setShouldPayTotalTax(Double shouldPayTotalTax) {
        this.shouldPayTotalTax = shouldPayTotalTax;
    }

    public Integer getOrderProductID() {
        return orderProductID;
    }

    public void setOrderProductID(Integer orderProductID) {
        this.orderProductID = orderProductID;
    }

    public Integer getShopOrderID() {
        return shopOrderID;
    }

    public void setShopOrderID(Integer shopOrderID) {
        this.shopOrderID = shopOrderID;
    }

    public String getShopOrderNo() {
        return shopOrderNo;
    }

    public void setShopOrderNo(String shopOrderNo) {
        this.shopOrderNo = shopOrderNo;
    }

    public Integer getShopID() {
        return shopID;
    }

    public void setShopID(Integer shopID) {
        this.shopID = shopID;
    }

    public Integer getProductID() {
        return productID;
    }

    public void setProductID(Integer productID) {
        this.productID = productID;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getPresentNum() {
        return presentNum;
    }

    public void setPresentNum(Integer presentNum) {
        this.presentNum = presentNum;
    }

    public String getOutStoreType() {
        return outStoreType;
    }

    public void setOutStoreType(String outStoreType) {
        this.outStoreType = outStoreType;
    }

    public Integer getSkuID() {
        return skuID;
    }

    public void setSkuID(Integer skuID) {
        this.skuID = skuID;
    }

    public String getProps() {
        return props;
    }

    public void setProps(String props) {
        this.props = props;
    }

    public String getPropName() {
        return propName;
    }

    public void setPropName(String propName) {
        this.propName = propName;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Double getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Double totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Double getDiscount() {
        return discount;
    }

    public void setDiscount(Double discount) {
        this.discount = discount;
    }

    public Double getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(Double discountPrice) {
        this.discountPrice = discountPrice;
    }

    public Double getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(Double taxRate) {
        this.taxRate = taxRate;
    }

    public Double getAddedValueTax() {
        return addedValueTax;
    }

    public void setAddedValueTax(Double addedValueTax) {
        this.addedValueTax = addedValueTax;
    }

    public Double getTotalAddedValueTax() {
        return totalAddedValueTax;
    }

    public void setTotalAddedValueTax(Double totalAddedValueTax) {
        this.totalAddedValueTax = totalAddedValueTax;
    }

    public Double getShopFee() {
        return shopFee;
    }

    public void setShopFee(Double shopFee) {
        this.shopFee = shopFee;
    }

    public Double getOtherFee() {
        return otherFee;
    }

    public void setOtherFee(Double otherFee) {
        this.otherFee = otherFee;
    }

    public Double getCmFee() {
        return cmFee;
    }

    public void setCmFee(Double cmFee) {
        this.cmFee = cmFee;
    }

    public Double getSingleShopFee() {
        return singleShopFee;
    }

    public void setSingleShopFee(Double singleShopFee) {
        this.singleShopFee = singleShopFee;
    }

    public Double getSingleOtherFee() {
        return singleOtherFee;
    }

    public void setSingleOtherFee(Double singleOtherFee) {
        this.singleOtherFee = singleOtherFee;
    }

    public Double getSingleCmFee() {
        return singleCmFee;
    }

    public void setSingleCmFee(Double singleCmFee) {
        this.singleCmFee = singleCmFee;
    }

    public Double getShouldPayFee() {
        return shouldPayFee;
    }

    public void setShouldPayFee(Double shouldPayFee) {
        this.shouldPayFee = shouldPayFee;
    }

    public String getCommentFlag() {
        return commentFlag;
    }

    public void setCommentFlag(String commentFlag) {
        this.commentFlag = commentFlag;
    }

    public Double getNormalPrice() {
        return normalPrice;
    }

    public void setNormalPrice(Double normalPrice) {
        this.normalPrice = normalPrice;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public Double getTotalBeans() {
        return totalBeans;
    }

    public void setTotalBeans(Double totalBeans) {
        this.totalBeans = totalBeans;
    }

    public Double getUseBalanceAmount() {
        return useBalanceAmount;
    }

    public void setUseBalanceAmount(Double useBalanceAmount) {
        this.useBalanceAmount = useBalanceAmount;
    }

    public Integer getUseBeanAmount() {
        return useBeanAmount;
    }

    public void setUseBeanAmount(Integer useBeanAmount) {
        this.useBeanAmount = useBeanAmount;
    }

    public Integer getNotOutStore() {
        return notOutStore;
    }

    public void setNotOutStore(Integer notOutStore) {
        this.notOutStore = notOutStore;
    }

    public Integer getCmbeanPrice() {
        return cmbeanPrice;
    }

    public void setCmbeanPrice(Integer cmbeanPrice) {
        this.cmbeanPrice = cmbeanPrice;
    }

    public String getIsGiftProduct() {
        return isGiftProduct;
    }

    public void setIsGiftProduct(String isGiftProduct) {
        this.isGiftProduct = isGiftProduct;
    }

    public String getProductActInfo() {
        return productActInfo;
    }

    public void setProductActInfo(String productActInfo) {
        this.productActInfo = productActInfo;
    }

    public String getBuyAgainFlag() {
        return buyAgainFlag;
    }

    public void setBuyAgainFlag(String buyAgainFlag) {
        this.buyAgainFlag = buyAgainFlag;
    }

    public String getConfirmProductFlag() {
        return confirmProductFlag;
    }

    public void setConfirmProductFlag(String confirmProductFlag) {
        this.confirmProductFlag = confirmProductFlag;
    }

    public NewShopOrder getNewShopOrder() {
        return newShopOrder;
    }

    public void setNewShopOrder(NewShopOrder newShopOrder) {
        this.newShopOrder = newShopOrder;
    }

    public String getShopFeeFlag() {
        return shopFeeFlag;
    }

    public void setShopFeeFlag(String shopFeeFlag) {
        this.shopFeeFlag = shopFeeFlag;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getOrderID() {
        return orderID;
    }

    public void setOrderID(Integer orderID) {
        this.orderID = orderID;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getPrice0() {
        return price0;
    }

    public void setPrice0(Double price0) {
        this.price0 = price0;
    }

    public Double getPrice1() {
        return price1;
    }

    public void setPrice1(Double price1) {
        this.price1 = price1;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public Double getActPreferential() {
        return actPreferential;
    }

    public void setActPreferential(Double actPreferential) {
        this.actPreferential = actPreferential;
    }

    public Double getPreferential() {
        return preferential;
    }

    public void setPreferential(Double preferential) {
        this.preferential = preferential;
    }

    @Transient
    public String getImage() {
        return AppUtils.getImageURL("product", image, 0, "");
    }

    public void setImage(String image) {
        this.image = image;
    }

    @Transient
    public Integer getDeliveryNum() {
        return deliveryNum;
    }

    public void setDeliveryNum(Integer deliveryNum) {
        this.deliveryNum = deliveryNum;
    }

    @Transient
    public Integer getOutStoreTimes() {
        return outStoreTimes;
    }

    public void setOutStoreTimes(Integer outStoreTimes) {
        this.outStoreTimes = outStoreTimes;
    }

    public Double getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(Double costPrice) {
        this.costPrice = costPrice;
    }

    @Transient
    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Double getDiscountFee() {
        return discountFee;
    }

    public void setDiscountFee(Double discountFee) {
        this.discountFee = discountFee;
    }

    @Transient
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Transient
    public String getLogisticsBatchID() {
        return logisticsBatchID;
    }

    public void setLogisticsBatchID(String logisticsBatchID) {
        this.logisticsBatchID = logisticsBatchID;
    }

    /*public List<NewCmFinanceReceipts> getNewCmFinanceReceiptsList() {
        return newCmFinanceReceiptsList;
    }

    public void setNewCmFinanceReceiptsList(List<NewCmFinanceReceipts> newCmFinanceReceiptsList) {
        this.newCmFinanceReceiptsList = newCmFinanceReceiptsList;
    }

    public List<NewCmFinanceCharge> getNewCmFinanceChargeList() {
        return newCmFinanceChargeList;
    }

    public void setNewCmFinanceChargeList(List<NewCmFinanceCharge> newCmFinanceChargeList) {
        this.newCmFinanceChargeList = newCmFinanceChargeList;
    }*/

    public String getLedgerNo() {
        return ledgerNo;
    }

    public void setLedgerNo(String ledgerNo) {
        this.ledgerNo = ledgerNo;
    }

    public String getShopFee1() {
        return singleShopFee == null ? "" : singleShopFee.toString();
    }

    public void setShopFee1(String shopFee1) {
        this.shopFee1 = shopFee1;
    }

    public String getOtherFee1() {
        return singleOtherFee == null ? "" : singleOtherFee.toString();
    }

    public void setOtherFee1(String otherFee1) {
        this.otherFee1 = otherFee1;
    }

    public String getCmFee1() {
        return singleCmFee == null ? "" : singleCmFee.toString();
    }

    public void setCmFee1(String cmFee1) {
        this.cmFee1 = cmFee1;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getProductUnit() {
        return productUnit;
    }

    public void setProductUnit(String productUnit) {
        this.productUnit = productUnit;
    }

    public String getProductImage() {
        return AppUtils.getImageURL("product", productImage, 0, "");
    }

    public void setProductImage(String productImage) {
        this.productImage = productImage;
    }

    public String getSplitFlag() {
        return splitFlag;
    }

    public void setSplitFlag(String splitFlag) {
        this.splitFlag = splitFlag;
    }

    @Transient
    public String getCostCheckFlag() {
        return costCheckFlag;
    }

    public void setCostCheckFlag(String costCheckFlag) {
        this.costCheckFlag = costCheckFlag;
    }

    @Transient
    public Double getCostProportional() {
        return costProportional;
    }

    public void setCostProportional(Double costProportional) {
        this.costProportional = costProportional;
    }

    public List<CmProductSn> getCmProductSnList() {
        return cmProductSnList;
    }

    public void setCmProductSnList(List<CmProductSn> cmProductSnList) {
        this.cmProductSnList = cmProductSnList;
    }

    @Transient
    public Integer getReturnedPurchaseProductNum() {
        return returnedPurchaseProductNum;
    }

    public void setReturnedPurchaseProductNum(Integer returnedPurchaseProductNum) {
        this.returnedPurchaseProductNum = returnedPurchaseProductNum;
    }

    @Transient
    public Integer getReturningPurchaseProductNum() {
        return returningPurchaseProductNum;
    }

    public void setReturningPurchaseProductNum(Integer returningPurchaseProductNum) {
        this.returningPurchaseProductNum = returningPurchaseProductNum;
    }

    @Transient
    public Integer getCancelProductNum() {
        return cancelProductNum;
    }

    public void setCancelProductNum(Integer cancelProductNum) {
        this.cancelProductNum = cancelProductNum;
    }

    @Transient
    public Integer getThisTimePostNum() {
        return thisTimePostNum;
    }

    public void setThisTimePostNum(Integer thisTimePostNum) {
        this.thisTimePostNum = thisTimePostNum;
    }

    @Transient
    public Integer getReceivedNum() {
        return receivedNum;
    }

    public void setReceivedNum(Integer receivedNum) {
        this.receivedNum = receivedNum;
    }

    @Transient
    public Integer getReturningNum() {
        return returningNum;
    }

    public void setReturningNum(Integer returningNum) {
        this.returningNum = returningNum;
    }

    @Transient
    public Integer getReturnedNum() {
        return returnedNum;
    }

    public void setReturnedNum(Integer returnedNum) {
        this.returnedNum = returnedNum;
    }

    @Transient
    public String getAliasName() {
        return aliasName;
    }

    public void setAliasName(String aliasName) {
        this.aliasName = aliasName;
    }

    @Transient
    public Boolean getFirstReturn() {
        return firstReturn;
    }

    public void setFirstReturn(Boolean firstReturn) {
        this.firstReturn = firstReturn;
    }

    public Double getShopProductAmount() {
        return shopProductAmount;
    }

    public void setShopProductAmount(Double shopProductAmount) {
        this.shopProductAmount = shopProductAmount;
    }

    public Double getNewCostPrice() {
        return newCostPrice;
    }

    public void setNewCostPrice(Double newCostPrice) {
        this.newCostPrice = newCostPrice;
    }

    public Double getSingleShouldPayTotalTax() {
        return singleShouldPayTotalTax;
    }

    public void setSingleShouldPayTotalTax(Double singleShouldPayTotalTax) {
        this.singleShouldPayTotalTax = singleShouldPayTotalTax;
    }
}
