package com.caimei.modules.order.entity;

import java.beans.Transient;
import java.math.BigInteger;
import java.util.List;

/**
 * @author lwt
 * @date 2018-07-24
 * @description 子订单表
 */
public class NewShopOrder {
    private Integer shopOrderID;//        int(11) not null auto_increment comment '子订单ID',
    private Integer organizeID;//        组织Id
    private String shopOrderNo;//       varchar(30) comment '子订单编号',
    private String orderNo;//        varchar(30) comment '主订单编号',
    private Integer orderID;             // bigint(11) not null 主订单ID,
    private String receiptStatus;//主订单收款状态
    private Double receiptTotalFee;//主订单已收金额
    private Integer userID;//       int(11) comment '用户Id',
    private Integer shopID;//       int(11) comment '供应商Id',
    private Integer itemCount;//       int(11) comment '商品数量',
    private Integer townID;//       int(11) comment '收货地址县区Id',
    private Double productAmount;//     float comment '商品金额',
    private Double shouldPayProduct;            //应收商品金额==应付合计（只需要付商品金额）
    private Double fee;//     float comment '运费：-1到付，0包邮，其他为具体运费'    ****-----v5.0版本已废弃,运费已使用商品形式存储,
    private Double discountAmount;//     float,
    private Double accountAmount;//     decimal(20,2) comment '余额支付时使用的金额',
    private Double totalAmount;//     decimal(20,2) comment '总价',
    private String payFlag;//     national char(1) comment '是否已支付：1是，0否',
    private String payTime;//     national varchar(19) comment '支付时间',
    private String finishTime;//     national varchar(19) comment '订单完成时间',
    private Integer status;//     int(11) comment '订单状态：见表c_orderstatus或枚举OrderStatus'   v5.0版本已废弃只有主订单状态,
    private Integer refundStatus;//    int(11),
    private BigInteger deliveryTimeMills;//   bigint(20) comment '发货时间（时间戳）',
    private Double needPayAmount;//   decimal(20,2) comment '实付金额',
    private Double canRefundAmount;//   float comment '退款金额',
    private Double refundAmount;//   float,
    private Integer clubID;//  int(11),
    private Integer spID;//   int(11),
    private Integer mainSpID;//    int(11),
    private Integer orderBeanAmount;//   int(11) default 0,
    private Integer useBeanAmount;//   int(11) default 0 comment '使用采美豆数量',
    private Integer useBeanFlag;//     int(11) default 0 comment '是否使用采美豆',
    private Integer canRefundFlag;//    int(11) default 0 comment '是否可以退货 1可以退款/退货 0不可退款/退货',
    private Integer useBalanceFlag;//    int(11) default 0 comment '是否使用余额',
    private Integer canRefundBeans;//    int(11) comment '可以退还的采美豆个数',
    private Integer orderDeliveryID;//   int(1) comment '运费订单ID',
    private Double freePostageFee;//    decimal(10,2) comment '订单包邮时本该支付的运费',
    private Integer freePostageTicketID;//  int(11) comment '使用的包邮券Id，为空表示未使用包邮券',
    private Double brokerage;//        decimal(11,2) comment '佣金',
    private String delFlag;//        national varchar(20) default '0' comment '后台删除状态 0正常，其他删除',
    private Double refundsAmount;//      decimal(20,2) default 0.00 comment '订单退款金额',
    private String orderStatusFlag;//    national char(1) default '1' comment '订单状态标识，1:非退货退款订单、2：退货退款中、3退货退款完成',
    private String buyStatus;//       national varchar(255),
    private NewOrder order;
    private List<NewOrderProduct> newOrderProducts;
    private Double preferential; //订单商品的总优惠
    private int orderSubmitType;
    private int orderType;             // 订单类型
    private String orderTime;//下单时间
    private Integer presentNum;//赠品数量
    private Integer outStoreNum;//已经发货的商品数量
    private Integer outStoreTimes;//第几批发货  default 0
    private Double totalAddedValueTax; // 税费
    private String splitFlag; // 订单能否拆分 1 为可拆分, 0为不可拆分
    private Double discountFee; // 经历折扣  v5.0版本已废弃,经理折扣只和主订单有关
    private Long autoReceiveTimeMills;//自动收货时间点 毫秒计算
    private Long autoOverTimeMills;// 订单彻底完成时间 不能售后 毫秒
    private String receiveGoodsTime;//收货时间
    private String note;//子订单备注信息
    private String payStatus; //(付款供应商)付款状态：1待付款、2部分付款、3已付款
    private String sendOutStatus; //发货状态：1待发货、2部分发货、3已发货
    private String[] ps;    //付款状态集合
    //-------------        虚拟字段   ----------------------------
    private String shopName;            //供应商
    private String receiver;//收货人
    private String buyer;//买家
    private String orderSource;//订单来源
    private String alreadyReceipt;//已收金额
    private String unReceipt;//未收金额
    private String paid;//已付金额
    private String unpaid;//未付金额
    private String postFeeCos = "0";   //'0'=不是邮费商品子订单; '1'=是邮费商品子订单
    private List<NewOrderProduct> snOrderProducts;//需要使用sn码的订单产品列表
    private Boolean defaultStatus;  //控制填写的默认状态（运费订单，部分收款订单 默认不能操作，）

    //--------------- 付款列表展示数据 ------------
    private String paying;// 是否处于给供应商状态中   0不是的,  1是的
    private String refunding;// 是否处于供应商退款状态中   0不是的,  1是的
    private Double payTotalFee;  //主订单金额,  列表中展示需要
    private Double shopProductAmount;  //付款单的商品费, 子订单商品的成本价的和
    private Double shopPostFee;  // 付给供应商的运费
    private Double shopTaxFee;  // 付给供应商的税费
    private Double shouldPayShopAmount;  //付供应商 = 商品费 + 运费 + 税费
    private Double payedShopAmount;  //已付款金额
    private Double shopOtherFee;  //付第三方
    private Double waitPayShop;  //待付
    private String startTime;
    private String endTime;
    private String operatingMode = "1";// 付款列表操作模式    1付款申请, 2已付退款, 3查看信息
    private String costType;     //固定成本1,  比例成本2  为空就是还没有设置过
    private Double proportional;//比例成本的比例值
    private String modifyShouldPayNote; //修改应付必填备注信息
    private String modifyShouldPayUserID;  //修改应付金额的用户ID
    private String modifyShouldPayDate;   //修改应付金额的时间
    private Double payed;//已付金额

    public String getReceiptStatus() {
        return receiptStatus;
    }

    public void setReceiptStatus(String receiptStatus) {
        this.receiptStatus = receiptStatus;
    }

    public Double getReceiptTotalFee() {
        return receiptTotalFee;
    }

    public void setReceiptTotalFee(Double receiptTotalFee) {
        this.receiptTotalFee = receiptTotalFee;
    }

    public Double getShouldPayProduct() {
        return shouldPayProduct;
    }

    public void setShouldPayProduct(Double shouldPayProduct) {
        this.shouldPayProduct = shouldPayProduct;
    }

    public Integer getShopOrderID() {
        return shopOrderID;
    }

    public void setShopOrderID(Integer shopOrderID) {
        this.shopOrderID = shopOrderID;
    }

    public String getShopOrderNo() {
        return shopOrderNo;
    }

    public void setShopOrderNo(String shopOrderNo) {
        this.shopOrderNo = shopOrderNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getUserID() {
        return userID;
    }

    public void setUserID(Integer userID) {
        this.userID = userID;
    }

    public Integer getShopID() {
        return shopID;
    }

    public void setShopID(Integer shopID) {
        this.shopID = shopID;
    }

    public Integer getItemCount() {
        return itemCount;
    }

    public void setItemCount(Integer itemCount) {
        this.itemCount = itemCount;
    }

    public Integer getTownID() {
        return townID;
    }

    public void setTownID(Integer townID) {
        this.townID = townID;
    }

    public Double getProductAmount() {
        return productAmount;
    }

    public void setProductAmount(Double productAmount) {
        this.productAmount = productAmount;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public Double getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(Double discountAmount) {
        this.discountAmount = discountAmount;
    }

    public Double getAccountAmount() {
        return accountAmount;
    }

    public void setAccountAmount(Double accountAmount) {
        this.accountAmount = accountAmount;
    }

    public Double getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Double totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getPayFlag() {
        return payFlag;
    }

    public void setPayFlag(String payFlag) {
        this.payFlag = payFlag;
    }

    public String getPayTime() {
        return payTime;
    }

    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    public String getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(String finishTime) {
        this.finishTime = finishTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public Double getNeedPayAmount() {
        return needPayAmount;
    }

    public void setNeedPayAmount(Double needPayAmount) {
        this.needPayAmount = needPayAmount;
    }

    public Double getCanRefundAmount() {
        return canRefundAmount;
    }

    public void setCanRefundAmount(Double canRefundAmount) {
        this.canRefundAmount = canRefundAmount;
    }

    public Double getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Double refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getClubID() {
        return clubID;
    }

    public void setClubID(Integer clubID) {
        this.clubID = clubID;
    }

    public Integer getSpID() {
        return spID;
    }

    public void setSpID(Integer spID) {
        this.spID = spID;
    }

    public Integer getMainSpID() {
        return mainSpID;
    }

    public void setMainSpID(Integer mainSpID) {
        this.mainSpID = mainSpID;
    }

    public Integer getOrderBeanAmount() {
        return orderBeanAmount;
    }

    public void setOrderBeanAmount(Integer orderBeanAmount) {
        this.orderBeanAmount = orderBeanAmount;
    }

    public Integer getUseBeanAmount() {
        return useBeanAmount;
    }

    public void setUseBeanAmount(Integer useBeanAmount) {
        this.useBeanAmount = useBeanAmount;
    }

    public Integer getUseBeanFlag() {
        return useBeanFlag;
    }

    public void setUseBeanFlag(Integer useBeanFlag) {
        this.useBeanFlag = useBeanFlag;
    }

    public Integer getCanRefundFlag() {
        return canRefundFlag;
    }

    public void setCanRefundFlag(Integer canRefundFlag) {
        this.canRefundFlag = canRefundFlag;
    }

    public Integer getUseBalanceFlag() {
        return useBalanceFlag;
    }

    public void setUseBalanceFlag(Integer useBalanceFlag) {
        this.useBalanceFlag = useBalanceFlag;
    }

    public Integer getCanRefundBeans() {
        return canRefundBeans;
    }

    public void setCanRefundBeans(Integer canRefundBeans) {
        this.canRefundBeans = canRefundBeans;
    }

    public Integer getOrderDeliveryID() {
        return orderDeliveryID;
    }

    public void setOrderDeliveryID(Integer orderDeliveryID) {
        this.orderDeliveryID = orderDeliveryID;
    }

    public Double getFreePostageFee() {
        return freePostageFee;
    }

    public void setFreePostageFee(Double freePostageFee) {
        this.freePostageFee = freePostageFee;
    }

    public Integer getFreePostageTicketID() {
        return freePostageTicketID;
    }

    public void setFreePostageTicketID(Integer freePostageTicketID) {
        this.freePostageTicketID = freePostageTicketID;
    }

    public Double getBrokerage() {
        return brokerage;
    }

    public void setBrokerage(Double brokerage) {
        this.brokerage = brokerage;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Double getRefundsAmount() {
        return refundsAmount;
    }

    public void setRefundsAmount(Double refundsAmount) {
        this.refundsAmount = refundsAmount;
    }

    public String getOrderStatusFlag() {
        return orderStatusFlag;
    }

    public void setOrderStatusFlag(String orderStatusFlag) {
        this.orderStatusFlag = orderStatusFlag;
    }

    public String getBuyStatus() {
        return buyStatus;
    }

    public void setBuyStatus(String buyStatus) {
        this.buyStatus = buyStatus;
    }

    public NewOrder getOrder() {
        return order;
    }

    public void setOrder(NewOrder order) {
        this.order = order;
    }

    public List<NewOrderProduct> getNewOrderProducts() {
        return newOrderProducts;
    }

    public void setNewOrderProducts(List<NewOrderProduct> newOrderProducts) {
        this.newOrderProducts = newOrderProducts;
    }

    public Integer getOrderID() {
        return orderID;
    }

    public void setOrderID(Integer orderID) {
        this.orderID = orderID;
    }

    public int getOrderType() {
        return orderType;
    }

    public void setOrderType(int orderType) {
        this.orderType = orderType;
    }

    @Transient
    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    @Transient
    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    @Transient
    public String getBuyer() {
        return buyer;
    }

    public void setBuyer(String buyer) {
        this.buyer = buyer;
    }

    @Transient
    public String getOrderSource() {
        return orderSource;
    }

    public void setOrderSource(String orderSource) {
        this.orderSource = orderSource;
    }

    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    @Transient
    public String getAlreadyReceipt() {
        return alreadyReceipt;
    }

    public void setAlreadyReceipt(String alreadyReceipt) {
        this.alreadyReceipt = alreadyReceipt;
    }

    @Transient
    public String getUnReceipt() {
        return unReceipt;
    }

    public void setUnReceipt(String unReceipt) {
        this.unReceipt = unReceipt;
    }

    @Transient
    public String getPaid() {
        return paid;
    }

    public void setPaid(String paid) {
        this.paid = paid;
    }

    @Transient
    public String getUnpaid() {
        return unpaid;
    }

    public void setUnpaid(String unpaid) {
        this.unpaid = unpaid;
    }

    public Double getPreferential() {
        return preferential;
    }

    public void setPreferential(Double preferential) {
        this.preferential = preferential;
    }

    public int getOrderSubmitType() {
        return orderSubmitType;
    }

    public void setOrderSubmitType(int orderSubmitType) {
        this.orderSubmitType = orderSubmitType;
    }

    public BigInteger getDeliveryTimeMills() {
        return deliveryTimeMills;
    }

    public void setDeliveryTimeMills(BigInteger deliveryTimeMills) {
        this.deliveryTimeMills = deliveryTimeMills;
    }

    public Integer getPresentNum() {
        return presentNum;
    }

    public void setPresentNum(Integer presentNum) {
        this.presentNum = presentNum;
    }

    public Integer getOutStoreNum() {
        return outStoreNum;
    }

    public void setOutStoreNum(Integer outStoreNum) {
        this.outStoreNum = outStoreNum;
    }

    public Integer getOutStoreTimes() {
        return outStoreTimes;
    }

    public void setOutStoreTimes(Integer outStoreTimes) {
        this.outStoreTimes = outStoreTimes;
    }

    public Double getTotalAddedValueTax() {
        return totalAddedValueTax;
    }

    public void setTotalAddedValueTax(Double totalAddedValueTax) {
        this.totalAddedValueTax = totalAddedValueTax;
    }

    @Transient
    public String getSplitFlag() {
        return splitFlag;
    }

    public void setSplitFlag(String splitFlag) {
        this.splitFlag = splitFlag;
    }

    public Double getDiscountFee() {
        return discountFee;
    }

    public void setDiscountFee(Double discountFee) {
        this.discountFee = discountFee;
    }

    public Long getAutoReceiveTimeMills() {
        return autoReceiveTimeMills;
    }

    public void setAutoReceiveTimeMills(Long autoReceiveTimeMills) {
        this.autoReceiveTimeMills = autoReceiveTimeMills;
    }

    public Long getAutoOverTimeMills() {
        return autoOverTimeMills;
    }

    public void setAutoOverTimeMills(Long autoOverTimeMills) {
        this.autoOverTimeMills = autoOverTimeMills;
    }

    public String getReceiveGoodsTime() {
        return receiveGoodsTime;
    }

    public void setReceiveGoodsTime(String receiveGoodsTime) {
        this.receiveGoodsTime = receiveGoodsTime;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public List<NewOrderProduct> getSnOrderProducts() {
        return snOrderProducts;
    }

    public void setSnOrderProducts(List<NewOrderProduct> snOrderProducts) {
        this.snOrderProducts = snOrderProducts;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public String getSendOutStatus() {
        return sendOutStatus;
    }

    public void setSendOutStatus(String sendOutStatus) {
        this.sendOutStatus = sendOutStatus;
    }

    public String getPostFeeCos() {
        return postFeeCos;
    }

    public void setPostFeeCos(String postFeeCos) {
        this.postFeeCos = postFeeCos;
    }

    public Boolean getDefaultStatus() {
        return defaultStatus;
    }

    public void setDefaultStatus(Boolean defaultStatus) {
        this.defaultStatus = defaultStatus;
    }

    public String getPaying() {
        return paying;
    }

    public void setPaying(String paying) {
        this.paying = paying;
    }

    @Transient
    public Double getPayTotalFee() {
        return payTotalFee;
    }

    public void setPayTotalFee(Double payTotalFee) {
        this.payTotalFee = payTotalFee;
    }

    public Double getShopProductAmount() {
        return shopProductAmount;
    }

    public void setShopProductAmount(Double shopProductAmount) {
        this.shopProductAmount = shopProductAmount;
    }

    public Double getShopPostFee() {
        return shopPostFee;
    }

    public void setShopPostFee(Double shopPostFee) {
        this.shopPostFee = shopPostFee;
    }

    public Double getShopTaxFee() {
        return shopTaxFee;
    }

    public void setShopTaxFee(Double shopTaxFee) {
        this.shopTaxFee = shopTaxFee;
    }

    public Double getShouldPayShopAmount() {
        return shouldPayShopAmount;
    }

    public void setShouldPayShopAmount(Double shouldPayShopAmount) {
        this.shouldPayShopAmount = shouldPayShopAmount;
    }

    public Double getPayedShopAmount() {
        return payedShopAmount;
    }

    public void setPayedShopAmount(Double payedShopAmount) {
        this.payedShopAmount = payedShopAmount;
    }

    public Double getShopOtherFee() {
        return shopOtherFee;
    }

    public void setShopOtherFee(Double shopOtherFee) {
        this.shopOtherFee = shopOtherFee;
    }

    @Transient
    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    @Transient
    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Transient
    public Double getWaitPayShop() {
        return waitPayShop;
    }

    public void setWaitPayShop(Double waitPayShop) {
        this.waitPayShop = waitPayShop;
    }

    @Transient
    public String getRefunding() {
        return refunding;
    }

    public void setRefunding(String refunding) {
        this.refunding = refunding;
    }

    @Transient
    public String getOperatingMode() {
        return operatingMode;
    }

    public void setOperatingMode(String operatingMode) {
        this.operatingMode = operatingMode;
    }

    public String getCostType() {
        return costType;
    }

    public void setCostType(String costType) {
        this.costType = costType;
    }

    public Double getProportional() {
        return proportional;
    }

    public void setProportional(Double proportional) {
        this.proportional = proportional;
    }

    public String[] getPs() {
        return ps;
    }

    public void setPs(String[] ps) {
        this.ps = ps;
    }

    public String getModifyShouldPayNote() {
        return modifyShouldPayNote;
    }

    public void setModifyShouldPayNote(String modifyShouldPayNote) {
        this.modifyShouldPayNote = modifyShouldPayNote;
    }

    public String getModifyShouldPayUserID() {
        return modifyShouldPayUserID;
    }

    public void setModifyShouldPayUserID(String modifyShouldPayUserID) {
        this.modifyShouldPayUserID = modifyShouldPayUserID;
    }

    public String getModifyShouldPayDate() {
        return modifyShouldPayDate;
    }

    public void setModifyShouldPayDate(String modifyShouldPayDate) {
        this.modifyShouldPayDate = modifyShouldPayDate;
    }

    @Transient
    public Double getPayed() {
        return payed;
    }

    public void setPayed(Double payed) {
        this.payed = payed;
    }

    public Integer getOrganizeID() {
        return organizeID;
    }

    public void setOrganizeID(Integer organizeID) {
        this.organizeID = organizeID;
    }
}
