package com.caimei.modules.products.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.validator.constraints.Length;

import java.io.Serializable;
import java.util.Date;

/**
 * 小程序商品分类Entity
 *
 * @author lijun
 * @version 2019-12-03
 */
public class CmMallProductsClassify implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer id;
    private String organizeID;        // 分类归属组织ID,具体对应cm_mall_organize表ID
    private String classifyName;        // 分类名称
    private String classifyImage;        // 分类图标
    private String sort;        // 排序
    private String status;        // 状态：1启用,2停用
    private Date addTime;        // 添加时间
    private Date updateTime;        // 更新时间
    private String containsProduct;//是否包含商品，1包含商品，其它为不包含商品
    private String postageToPay;  //邮费是否到付:1是，2否[是为到付，否为不到付并非包邮具体是否包邮参考邮费规则]
    private String delFlag;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Length(min = 0, max = 11, message = "分类归属组织ID,具体对应cm_mall_organize表ID长度必须介于 0 和 11 之间")
    public String getOrganizeID() {
        return organizeID;
    }

    public void setOrganizeID(String organizeID) {
        this.organizeID = organizeID;
    }

    @Length(min = 0, max = 20, message = "分类名称长度必须介于 0 和 20 之间")
    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }

    public String getClassifyImage() {
        return classifyImage;
    }

    public void setClassifyImage(String classifyImage) {
        this.classifyImage = classifyImage;
    }

    @Length(min = 0, max = 11, message = "排序长度必须介于 0 和 11 之间")
    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    @Length(min = 0, max = 1, message = "状态：1启用,2停用长度必须介于 0 和 1 之间")
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getContainsProduct() {
        return containsProduct;
    }

    public void setContainsProduct(String containsProduct) {
        this.containsProduct = containsProduct;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getPostageToPay() {
        return postageToPay;
    }

    public void setPostageToPay(String postageToPay) {
        this.postageToPay = postageToPay;
    }
}