package com.caimei.modules.products.service.impl;

import com.caimei.modules.products.dao.CmMallProductsClassifyDao;
import com.caimei.modules.products.entity.CmMallOrganizeProducts;
import com.caimei.modules.products.entity.CmMallProductsClassify;
import com.caimei.modules.products.service.CmMallOrganizeProductsService;
import com.caimei.modules.products.service.CmMallProductsClassifyService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CmMallProductsClassifyServiceImpl implements CmMallProductsClassifyService {
    @Autowired
    private CmMallProductsClassifyDao cmMallProductsClassifyDao;
    @Autowired
    private CmMallOrganizeProductsService cmMallOrganizeProductsService;

    @Override
    public List<CmMallProductsClassify> findList(CmMallProductsClassify cmMallProductsClassify) {
        List<CmMallProductsClassify> classifyList = cmMallProductsClassifyDao.findList(cmMallProductsClassify);
        if (null != classifyList && classifyList.size() > 0) {
            for (CmMallProductsClassify c : classifyList) {
                CmMallOrganizeProducts cmMallOrganizeProducts = new CmMallOrganizeProducts();
                cmMallOrganizeProducts.setOrganizeID(c.getOrganizeID());
                cmMallOrganizeProducts.setClassifyID(String.valueOf(c.getId()));
                List<CmMallOrganizeProducts> list1 = cmMallOrganizeProductsService.findList(cmMallOrganizeProducts);
                if (CollectionUtils.isNotEmpty(list1)) {
                    c.setContainsProduct("1");//是否包含商品，1包含商品，其它为不包含商品
                }
            }
        }
        return classifyList;
    }

    @Override
    public CmMallProductsClassify get(Integer id) {
        return cmMallProductsClassifyDao.get(id);
    }

    @Override
    public List<CmMallProductsClassify> getProductsClassifyListByName(CmMallProductsClassify cmMallProductsClassify) {
        return cmMallProductsClassifyDao.getProductsClassifyListByName(cmMallProductsClassify);
    }

    @Override
    public void save(CmMallProductsClassify cmMallProductsClassify) {
        if (cmMallProductsClassify.getId() == null) {
            cmMallProductsClassifyDao.insert(cmMallProductsClassify);
        } else {
            cmMallProductsClassifyDao.update(cmMallProductsClassify);
        }
    }

    @Override
    public void updateStatus(CmMallProductsClassify mallProductsClassify) {
        cmMallProductsClassifyDao.updateStatus(mallProductsClassify);
    }

    @Override
    public void saveSort(String sort, String id) {
        cmMallProductsClassifyDao.saveSort(sort, id);
    }

    @Override
    public List<CmMallProductsClassify> findListByEffective(String organizeID) {
        return cmMallProductsClassifyDao.findListByEffective(organizeID);
    }
}
