package com.caimei.modules.shiro.controller;

import com.caimei.modules.order.entity.NewOrderProduct;
import com.caimei.modules.shiro.service.HomePageService;
import com.caimei.utils.JsonModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("homepage")
public class HomePageController {
    @Autowired
    private HomePageService homePageService;

    /**
     * 收款金额统计
     */
    @RequestMapping("receivable")
    public JsonModel receivableAmount(String endTime, String startTime, Integer organizeID) {
        Map<String, Object> map = homePageService.receivableAmount(endTime, startTime, organizeID);
        return JsonModel.newInstance().success(map);
    }

    /**
     * 订单总量统计
     */
    @RequestMapping("order")
    public JsonModel orderQuantity(String endTime, String startTime, Integer organizeID) {
        Map<String, Object> map = homePageService.orderQuantity(endTime, startTime, organizeID);
        return JsonModel.newInstance().success(map);
    }

    /**
     * 销售额趋势数据
     */
    @RequestMapping("sale")
    public JsonModel sale(Integer organizeID) {
        Map<String, Object> map = homePageService.sale(organizeID);
        return JsonModel.newInstance().success(map);
    }

    /**
     * 热销商品统计
     */
    @RequestMapping("commodity")
    public JsonModel commodity(String endTime, String startTime, Integer organizeID) {
        List<NewOrderProduct> orderProduct = homePageService.commodity(endTime, startTime, organizeID);
        return JsonModel.newInstance().success(orderProduct);
    }
}
