/**  
 * Project Name:caiMeiCRM  
 * File Name:DateTimeUtil.java  
 * Package Name:com.caimei.web.utils  
 * Date:2015-1-4下午3:40:45  
 * Copyright (c) 2015, 1722948843@qq.com.com All Rights Reserved.  
 *  
 */

package com.caimei.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * ClassName:DateTimeUtil <br/>
 * Function: TODO ADD FUNCTION. <br/>
 * Reason: TODO ADD REASON. <br/>
 * Date: 2015-1-4 下午3:40:45 <br/>
 * 
 * @author 822
 * @version
 * @since JDK 1.6
 * @see
 */
public class DateTimeUtil {
	// TODO 与WWW的DateTimeUtil是重复的,后续需要删除www的DateTimeUtil
	
	/** 30分钟(毫秒) */
	public static Long HALF_AN_HOUR = 30 * 60 * 1000L;

	public static String getCurrentDate() {
		return getFormattedDate("yyyy-MM-dd");
	}

	public static String getCurrentDateTime() {
		return getFormattedDate("yyyy-MM-dd HH:mm:ss");
	}

	private static String getFormattedDate(String s) {
		SimpleDateFormat simpledateformat = new SimpleDateFormat();
		simpledateformat.applyPattern(s);
		return simpledateformat.format(Calendar.getInstance().getTime());
	}

	public static String getFormattedDate(Date date) {
		SimpleDateFormat simpledateformat = new SimpleDateFormat();
		simpledateformat.applyPattern("yyyy-MM-dd HH:mm:ss");
		return simpledateformat.format(date);
	}

	public static String makeDateString(String s, String s1, String s2) {
		return s + "-" + ((s1.length() != 1) ? "" : "0") + s1 + "-"
				+ ((s2.length() != 1) ? "" : "0") + s2;
	}

	public static boolean isBetweenTime(Long startTimeMills, Long endTimeMills) {
		if (Calendar.getInstance().getTimeInMillis() > startTimeMills
				&& Calendar.getInstance().getTimeInMillis() < endTimeMills)
			return true;
		return false;
	}

	public static Date parseString2Date(String dateString)
			throws ParseException {
		SimpleDateFormat simpledateformat = new SimpleDateFormat();
		simpledateformat.applyPattern("yyyy-MM-dd HH:mm:ss");
		return simpledateformat.parse(dateString);
	}

	public static boolean isBetweenTime(String startTime, String endTime)
			throws ParseException {
		Calendar calendar = Calendar.getInstance();
		calendar.setTime(parseString2Date(startTime));
		long startTimeMillis = calendar.getTimeInMillis();
		calendar.setTime(parseString2Date(endTime));
		long endTimeMillis = calendar.getTimeInMillis();
		return isBetweenTime(startTimeMillis, endTimeMillis);
	}

	public static Date getDateByAddHour(Date date, int hours) {
		Calendar c = Calendar.getInstance();
		c.setTime(date);
		c.add(Calendar.HOUR, hours);
		return c.getTime();
	}

	public static boolean isBetweenTime(Date beginTime, Date endTime) {
		Calendar calendar = Calendar.getInstance();
		calendar.setTime(beginTime);
		long startTimeMillis = calendar.getTimeInMillis();
		calendar.setTime(endTime);
		long endTimeMillis = calendar.getTimeInMillis();
		return isBetweenTime(startTimeMillis, endTimeMillis);
	}
	
}
