/**
 * <p>Description: Copyright © 2014-2015 CAIMEI365.com All Rights Reserved</p>
 * @author zhang
 * @date 2015年8月19日 上午11:00:10
 */
package com.caimei.utils;


public enum NewOrderStatus {

	WAIT_SURE("0","待确认"),

	DAISHOU_DAIFA("11","待收待发"),
	DAISHOU_BUFA("12","待收部发"),
	DAISHOU_QUANFA("13","待收全发"),
	BUSHOU_DAIFA("21","部收待发"),
	BUSHOU_BUFA("22","部收部发"),
	BUSHOU_QUANFA("23","部收全发"),
	YISHOU_DAIFA("31","已收待发"),
	YISHOU_BUFA("32","已收部发"),
	YISHOU_QUANFA("33","已收全发"),

	TRADE_SUCCESS("4", "交易完成"),
	TRADE_FINISH("5","订单完成"),
	TRADE_CLOSE("6", "交易关闭"),
	WAIT_COMMENT("7","交易全退"),


	//---数据库不存在的状态
	WAIT_PAY("1","待支付"),
	TRANSACTION("2","交易中"),
	REFUND_RETURN("8","退货退款");


	private String code;
	private String desc;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	NewOrderStatus(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	/**
	 * @Author ye.qin
	 * @Description //TODO 是否部分收款
	 * @Date 2019\5\31 0031 15:21
	 * @Param
	 * @return
	 */
	public static Boolean isBuFenShouKuan(String code){
		Boolean res = false;
		if(code.equals(BUSHOU_DAIFA.getCode())||code.equals(BUSHOU_BUFA.getCode())||code.equals(BUSHOU_QUANFA.getCode())){
			res = true;
		}
		return res;
	}

	/**
	 * @Author ye.qin
	 * @Description //TODO 交易中
	 * @Date 2019\5\31 0031 15:21
	 * @Param
	 * @return
	 */
	public static Boolean isTransaction(String code){
		Boolean res = false;
		if(code.equals(DAISHOU_DAIFA.getCode()) || code.equals(DAISHOU_BUFA.getCode()) || code.equals(DAISHOU_QUANFA.getCode()) ||code.equals(BUSHOU_DAIFA.getCode())||code.equals(BUSHOU_BUFA.getCode())||code.equals(BUSHOU_QUANFA.getCode())
		||code.equals(YISHOU_DAIFA.getCode())||code.equals(YISHOU_BUFA.getCode())||code.equals(YISHOU_QUANFA.getCode())){
			res = true;
		}
		return res;
	}


	/**
	 * @Author ye.qin
	 * @Description //TODO 待支付
	 * @Date 2019\5\31 0031 15:23
	 * @Param 
	 * @return 
	 */
	public static Boolean isWaitPay(String code){
		Boolean res = false;
		if(code.equals(DAISHOU_DAIFA.getCode()) || code.equals(DAISHOU_BUFA.getCode()) || code.equals(DAISHOU_QUANFA.getCode()) ||code.equals(BUSHOU_DAIFA.getCode())||code.equals(BUSHOU_BUFA.getCode())||code.equals(BUSHOU_QUANFA.getCode())){
			res = true;
		}
		return res;
	}

	/**
	 * @Author ye.qin
	 * @Description //TODO 待支付
	 * @Date 2019\5\31 0031 15:23
	 * @Param
	 * @return
	 */
	public static Boolean isNotPay(String code){
		Boolean res = false;
		if(code.equals(DAISHOU_DAIFA.getCode()) || code.equals(DAISHOU_BUFA.getCode()) || code.equals(DAISHOU_QUANFA.getCode()) ){
			res = true;
		}
		return res;
	}


	/**
	 * @Author ye.qin
	 * @Description //TODO 存在收货信息
	 * @Date 2019\6\3 0003 21:52
	 * @Param
	 * @return
	 */
	public static Boolean hasReceived(String code){
		Boolean res = false;
		if(code.equals(DAISHOU_BUFA.getCode()) || code.equals(DAISHOU_QUANFA.getCode()) ||code.equals(BUSHOU_BUFA.getCode())||code.equals(BUSHOU_QUANFA.getCode()) || code.equals(YISHOU_BUFA.getCode()) || code.equals(YISHOU_QUANFA.getCode())
				|| code.equals(TRADE_SUCCESS.getCode())|| code.equals(TRADE_FINISH.getCode()) || code.equals(WAIT_COMMENT.getCode())){
			res = true;
		}
		return res;
	}

	/**
	 * @Author ye.qin
	 * @Description //TODO 是否展示物流信息
	 * @Date 2019\6\3 0003 21:52
	 * @Param
	 * @return
	 */
    public static Boolean hasDeliver(String code){
        Boolean res = false;
        if( code.equals(DAISHOU_BUFA.getCode()) || code.equals(DAISHOU_QUANFA.getCode()) ||code.equals(BUSHOU_BUFA.getCode())||code.equals(BUSHOU_QUANFA.getCode()) || code.equals(YISHOU_BUFA.getCode()) || code.equals(YISHOU_QUANFA.getCode())
            || code.equals(TRADE_SUCCESS.getCode())|| code.equals(TRADE_FINISH.getCode())){
            res = true;
        }
        return res;
    }

    /**
     * @Author ye.qin
     * @Description //TODO 存在退款退货
     * @Date 2019\6\3 0003 21:52
     * @Param
     * @return
     */
    public static Boolean hasReturn(String code){
        Boolean res = false;

        if(code.equals(DAISHOU_BUFA.getCode()) || code.equals(DAISHOU_QUANFA.getCode()) ||code.equals(BUSHOU_DAIFA.getCode())||code.equals(BUSHOU_BUFA.getCode())||code.equals(BUSHOU_QUANFA.getCode())
                ||code.equals(YISHOU_DAIFA.getCode())||code.equals(YISHOU_BUFA.getCode())||code.equals(YISHOU_QUANFA.getCode())
                || code.equals(TRADE_SUCCESS.getCode())|| code.equals(TRADE_FINISH.getCode())){
            res = true;
        }
        return res;
    }


    public static String getNewOrderStatus(String code){
        for(NewOrderStatus type : NewOrderStatus.values()){
            if(type.getCode().equals(code)){
                return type.desc;
            }
        }
        return "";
    }
    public static String getNewOrderStatus1(String code){
        for(NewOrderStatus type : NewOrderStatus.values()){
            if(type.getCode().equals(code)){
                if(isTransaction(code)){
                    return "交易中";
                }else{
                    return type.desc;
                }
            }
        }
        return "";
    }

    public static String getPayTypeStr(String payType) {
//        1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、
//        6中信银行0897-支付宝、7线上-支付宝、8线上-微信支付、9线上-快钱支付，10口头返佣',
			if ("1".equals(payType))
				return "建设银行7297";
			if ("2".equals(payType))
				return "广发银行0115";
			if ("3".equals(payType))
				return "中信银行7172";
			if ("4".equals(payType))
				return "中信银行0897";
			if ("5".equals(payType))
				return "中信银行0897-财付通";
			if ("6".equals(payType))
				return "6中信银行0897-支付宝";
			if ("7".equals(payType))
				return "线上-支付宝";
			if ("8".equals(payType))
				return "线上-微信支付";
			if ("9".equals(payType))
				return "线上-快钱支付";
			if ("10".equals(payType))
				return "口头返佣";
			return "";
	}
}
